## trunk?format=zip&rev=1304

=== SConstruct ===
import os
import sys
import distutils.sysconfig
import platform
import SCons
# scons plug-ins
#from installtree import InstallTree

moduledir = distutils.sysconfig.get_python_lib()
if  platform.architecture()[0] == '64bit':
    # hack to install into /usr/lib64 if scons is in the 32bit /usr/lib/
    if moduledir.startswith("/usr/lib/"):
        moduledir = moduledir.replace("lib", "lib64")

opts = Options("userconfig.py")
opts.AddOptions(PathOption("prefix",
                           "The root installation path",
                           distutils.sysconfig.PREFIX),
                PathOption("moduledir",
                            "The python module path (site-packages))",
                            moduledir),
                ("rpfitsdir", "Alternative rpfits location.", ""),
                ("cfitsioincdir", "Alternative cfitsio include dir", ""),
                ("casadir", "Alternative casa location", ""),
                EnumOption("mode", "The type of build.", "debug",
                           ["release","debug"], ignorecase=1),
                ("makedist",
                 "Make a binary archive giving a suffix, e.g. sarge or fc5",
                 ""),
                EnumOption("makedoc", "Build the userguide in specified format",
                           "none",
                           ["none", "pdf", "html"], ignorecase=1)
                )

env = Environment( toolpath = ['./scons'],
                   tools = ["default", "casa", "archiver", "utils",
                            "quietinstall"],
                   ENV = { 'PATH' : os.environ[ 'PATH' ],
                          'HOME' : os.environ[ 'HOME' ] },
                   options = opts)

Help(opts.GenerateHelpText(env))
env.SConsignFile()
env.Append(CASAARCH = '', CASAROOT = '')
if (os.path.exists(env["cfitsioincdir"])):
    env.Append(CPPPATH=[env["cfitsioincdir"]])
env.AddCustomPath(env["rpfitsdir"])
if not env.GetOption('clean'):
    conf = Configure(env)
    # import Custom tests
    env.AddCasaTest(conf)
    pylib = 'python'+distutils.sysconfig.get_python_version()
    pyinc = "Python.h"
    if env['PLATFORM'] == "darwin":
        pylib = "Python"
    if not conf.CheckLib(library=pylib, language='c'): Exit(1)
    conf.env.Append(CPPPATH=[distutils.sysconfig.get_python_inc()])
    if not conf.CheckHeader("Python.h", language='c'):
        Exit(1)
    if not conf.CheckLibWithHeader('boost_python', 'boost/python.hpp', 'c++'): Exit(1)
    conf.env.AddCustomPath(env["rpfitsdir"])
    if not conf.CheckLib('rpfits'): Exit(1)
    # cfitsio is either in include/ or /include/cfitsio
    # handle this
    if not conf.CheckLib(library='cfitsio', language='c'): Exit(1)
    if not conf.CheckHeader('fitsio.h', language='c'):
        if not conf.CheckHeader('cfitsio/fitsio.h', language='c'):
            Exit(1)
        else:
            conf.env.Append(CPPPATH=['/usr/include/cfitsio'])
    if (sys.platform == "darwin"):
        conf.env.Append(LIBS = ['-framework vecLib'])
    else:
        if not conf.CheckLib('lapack'): Exit(1)
        if not conf.CheckLib('blas'): Exit(1)
    if not conf.CheckLib('g2c'): Exit(1)
    if not conf.CheckLib('stdc++', language='c++'): Exit(1)
    if not conf.CheckCasa(env["casadir"]): Exit(1)
    env = conf.Finish()

env["version"] = "2.1.1b"

# general CPPFLAGS
env.Append(CPPFLAGS=['-D_FILE_OFFSET_BITS=64', '-D_LARGEFILE_SOURCE', '-O3'])

# 64bit flags
if  platform.architecture()[0] == '64bit':
    env.Append(CPPFLAGS=['-fPIC', '-D__x86_64__', '-DAIPS_64B'])

if env['mode'] == 'release':
    env.Append(LINKFLAGS=['-Wl,-O1'])

# Export for SConscript files
Export("env")

# build library
so = env.SConscript("src/SConscript", build_dir="build", duplicate=0)
# test module import, to see if there are unresolved symbols
def test_module(target,source,env):
    pth = str(target[0])
    mod = os.path.splitext(pth)[0]
    sys.path.insert(2, os.path.split(mod)[0])
    __import__(os.path.split(mod)[1])
    print "ok"
    return 0
def test_str(target, source, env):
    return "Testing module..."

taction = Action(test_module, test_str)
env.AddPostAction(so, taction)

# install targets
somod = env.Install("$moduledir/asap", so )
pymods = env.Install("$moduledir/asap", env.SGlob("python/*.py"))
bins = env.Install("$prefix/bin", ["bin/asap", "bin/asap_update_data"])
shares = env.Install("$moduledir/asap/data", "share/ipythonrc-asap")
env.Alias('install', [somod, pymods, bins, shares])

# install aips++ data repos
rootdir=None
outdir =  os.path.join(env["moduledir"],'asap','data')
sources = ['ephemerides','geodetic']
if os.path.exists("/nfs/aips++/data"):
    rootdir = "/nfs/aips++/data"
elif os.path.exists("data"):
    rootdir = "./data"
if rootdir is not None:
    ofiles, ifiles = env.WalkDirTree(outdir, rootdir, sources)
    data =  env.InstallAs(ofiles, ifiles)
    env.Alias('install', data)

# make binary distribution
if len(env["makedist"]):
    env["stagedir"] = "asap-%s-%s" % (env["version"], env["makedist"])
    env.Command('Staging distribution for archive in %s' % env["stagedir"],
                '', env.MessageAction)
    st0 = env.QInstall("$stagedir/asap", [so,  env.SGlob("python/*.py")] )
    env.QInstall("$stagedir/bin", ["bin/asap", "bin/asap_update_data"])
    env.QInstall("$stagedir", ["bin/install"])
    env.QInstall("$stagedir/asap/data", "share/ipythonrc-asap")
    if rootdir is not None:
        # This creates a directory Using data table... - disabled
        #env.Command("Using data tables in %s" % rootdir,
        #           '', env.MessageAction)
        outdir =  os.path.join(env["stagedir"],'asap','data')
        ofiles, ifiles = env.WalkDirTree(outdir, rootdir, sources)
        env.QInstallAs(ofiles, ifiles)
    else:
        env.Command("No data tables available. Use 'asap_update_data' after install",
                    '', env.MessageAction)
    arch = env.Archiver(os.path.join("dist",env["stagedir"]),
                        env["stagedir"])
    env.AddPostAction(arch, Delete("$stagedir"))
if env["makedoc"].lower() != "none":
    env.SConscript("doc/SConscript")

if env.GetOption("clean"):
    Execute(Delete(".sconf_temp"))

=== doc/Makefile ===
TARGET := userguide
WEBLOC := /tmp

LATEXHTML := /usr/bin/latex2html
LATEXHTMLOPTS := -local_icons
DVIPDF := /usr/bin/dvipdf
LATEX := /usr/bin/latex

all: pdf html

$(TARGET): pdf html

latex:
	$(LATEX) $(TARGET)
	makeindex $(TARGET)
	$(LATEX) $(TARGET)

pdf: latex
	$(DVIPDF) $(TARGET)

html:
	$(LATEXHTML) $(LATEXHTMLOPTS) $(TARGET)

clean:
	@rm -f $(TARGET).log $(TARGET).aux $(TARGET).dvi

realclean: clean
	@rm -f $(TARGET).pdf $(TARGET)

install:
	-cp -rf  $(TARGET) $(WEBLOC)
	-cp -f $(TARGET).pdf $(WEBLOC)

.PHONY: install clean realclean

=== packages/invirt-database-server/debian/changelog ===
invirt-database-server (0.0.1) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database
  * sipb-xen-database-server -> invirt-database-server (a separate source package)
  * sipb-xen-database-client -> invirt-xen-config

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:22:46 -0400

sipb-xen-database (10.36.1) unstable; urgency=low

  * Typo in the new tables

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 15:01:47 -0400

sipb-xen-database (10.36) unstable; urgency=low

  * Kill the remnants of the sipb_xen_database package
  * Add the CDROM mirrors table

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 14:48:32 -0400

sipb-xen-database (10.35) unstable; urgency=low

  * Shorten initscript with spiffy new library from sipb-xen-base

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:25:56 -0400

sipb-xen-database (10.34) unstable; urgency=low

  * yet another new-sqlalchemy fix, this one post-0.4.2

 -- Greg Price <price@mit.edu>  Thu, 23 Oct 2008 23:02:46 -0400

sipb-xen-database (10.33) unstable; urgency=low

  * Catch calls to restart Postgres and translate them into a sequential
    stop, then start

 -- Evan Broder <broder@mit.edu>  Mon, 20 Oct 2008 13:05:29 -0400

sipb-xen-database (10.32) unstable; urgency=low

  * invirt.database.clear_cache should actually do something

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 02:02:37 -0400

sipb-xen-database (10.31) unstable; urgency=low

  * Database-managed VMs should never even think about bridging

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 01:46:45 -0400

sipb-xen-database (10.30.4) unstable; urgency=low

  * Fix a typo in the CDROM image path

 -- Evan Broder <broder@mit.edu>  Wed, 15 Oct 2008 13:21:10 -0400

sipb-xen-database (10.30.3) unstable; urgency=low

  * fix copy-paste errors in initscript: this is database, not console
  * fix "typo" in initscript for package name printed in logs

 -- Greg Price <price@mit.edu>  Sat, 11 Oct 2008 17:50:11 -0700

sipb-xen-database (10.30.2) unstable; urgency=low

  * Fix a typo in the CDROM lookup in sipb-database

 -- Evan Broder <broder@mit.edu>  Sat, 11 Oct 2008 19:17:05 -0400

sipb-xen-database (10.30.1) unstable; urgency=low

  * Don't strip quotes that won't be there

 -- Evan Broder <broder@mit.edu>  Fri, 10 Oct 2008 01:48:48 -0400

sipb-xen-database (10.30) unstable; urgency=low

  * Look for CD images in /dev/xenvg/image_* and validate image name from
    the database
  * Pass the installer arguments unaltered to the kernel, matching the
    remctl interface

 -- Evan Broder <broder@mit.edu>  Thu, 09 Oct 2008 02:09:42 -0400

sipb-xen-database (10.29) unstable; urgency=low

  * Some fixes in the sipb-database script

 -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 18:55:24 -0400

sipb-xen-database (10.28) unstable; urgency=low

  * Re-establish the database connection if the server goes AWOL

 -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 23:19:59 -0400

sipb-xen-database (10.27) unstable; urgency=low

  * Update sipb-database to work with newer SQLAlchemy and Xen

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 20:08:16 -0400

sipb-xen-database (10.26.1) unstable; urgency=low

  * We want autoflush off, too

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 19:22:12 -0400

sipb-xen-database (10.26) unstable; urgency=low

  * Disable transactions by default

 -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 19:40:34 -0400

sipb-xen-database (10.25) unstable; urgency=low

  * add remote and console to pg_hba.conf template
  * fix init script so it works
  * port more code to sqlalchemy 0.4

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 19:30:26 -0400

sipb-xen-database (10.24) unstable; urgency=low

  * Update postgresql.conf for Hardy

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 03:12:36 -0400

sipb-xen-database (10.23) unstable; urgency=low

  * switch to postgresql 8.3, as 8.1 isn't in hardy

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 02:09:43 -0400

sipb-xen-database (10.22) unstable; urgency=low

  * depend on postgresql without specifying old version 8.1

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 01:55:49 -0400

sipb-xen-database (10.21) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:50:25 -0400

sipb-xen-database (10.20) hardy; urgency=low

  * port to sqlalchemy-0.4, which cuts out some newly deprecated
    interfaces and allowed some still-present interfaces to bitrot

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:06:21 +0000

sipb-xen-database (10.19) unstable; urgency=low

  * Generate config files for pg_hba.conf
  * replace postgresql.conf

 --  Sam Hartman <hartmans@xvm.mit.edu>  Mon, 25 Aug 2008 00:38:21 +0000

sipb-xen-database (10.18) unstable; urgency=low

  * add 'adminable' column to machines; for selectively, temporarily,
    enabling admin mode on a machine

 -- Greg Price <price@mit.edu>  Wed,  6 Aug 2008 01:02:59 -0400

sipb-xen-database (10.17) unstable; urgency=low

  * pull IP gateway, network from config
  * configurabilization complete!

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 01:16:53 -0400

sipb-xen-database (10.16) unstable; urgency=low

  in sipb-xen-database-tables:
  * use invirt.database, and take default db uri

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:51:32 -0400

sipb-xen-database (10.15) unstable; urgency=low

  in /etc/xen/database:
  * uncommitted changes on black-mesa
  * sipb_xen_database -> invirt.database
  * use default db uri

  in invirt.database:
  * get default db uri from invirt.config

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:26:46 -0400

sipb-xen-database (10.14) unstable; urgency=low

  * Rename sipb_xen_database -> invirt.database,
    keeping old name too for now, for compatibility.

 -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 23:19:18 -0400

sipb-xen-database (10.13) unstable; urgency=low

  * Modify autoinstalls table to specify distribution/mirror.



=== packages/invirt-database-server/debian/control ===
Source: invirt-database-server
Section: net
Priority: extra
Maintainer: Invirt project <invirt@mit.edu>
Build-Depends: cdbs, debhelper (>= 5), config-package-dev, postgresql-8.3
Standards-Version: 3.8.0

Package: invirt-database-server
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, postgresql-8.3, python-sqlalchemy, python-psycopg2, invirt-database-common, adduser, sipb-xen-base
Description: Installs the Invirt database server
 This tracks all the user VMs and is accessed from the VM host
